%define name drivel
%define version 1.3.1
%define release 2mdk

%define Summary A live journal for Gnome
%define title Drivel
%define section Internet/Other

Summary: 	%Summary
Name: 		%name
Version: 	%version
Release: 	%release
License: 	GPL
Group: 		Networking/Other
URL:		http://www.dropline.net/drivel/index.php

Source:		http://aleron.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
Source1:	%name-16.png
Source2:	%name-32.png
Source3:	%name.png
BuildRoot: 	%_tmppath/%{name}-%{version}-%{release}-buildroot

BuildRequires:	gtk2-devel, glib2-devel, gtkspell-devel, libgnomeui2-devel
BuildRequires:  gnome-vfs2-devel, gtksourceview-devel, libglade2.0-devel
BuildRequires:	libxml2-devel, curl-devel 
BuildRequires:	scrollkeeper
BuildRequires:	perl-XML-Parser

%description
Drivel is a LiveJournal client for the GNOME Desktop. 
Its purpose is to retain a simple and elegant design 
while providing the same level of functionality as 
the offical LiveJournal clients. Drivel also integrates 
tightly with the GNOME Desktop technologies. 

%prep
%setup -q

%build
%configure2_5x

%make WARN_CFLAGS=""

%install
rm -rf %buildroot %name.lang
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std UPDATE_MIME_DATABASE=true UPDATE_DESKTOP_DATABASE=true 
mv %buildroot/%{_datadir}/locale/en_CA %buildroot/%{_datadir}/locale/en_US
%find_lang %name --with-gnome

# menu
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name" \
needs="x11" \
icon="%name.png" \
section=%section \
title="%title" \
longtitle="%Summary"
EOF

# icon
mkdir -p %buildroot/{%_liconsdir,%_iconsdir,%_miconsdir}
#install -m 644 src/pixmaps/%name.png %buildroot/%_datadir/pixmaps/%name.png
install -m 644 %SOURCE1 %buildroot/%_miconsdir/%name.png
install -m 644 %SOURCE2 %buildroot/%_liconsdir/%name.png
install -m 644 %SOURCE3 %buildroot/%_iconsdir/%name.png

%post
%update_menus
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%name.schemas > /dev/null
update-desktop-database %_datadir/applications > /dev/null

%preun
if [ $1 -eq 0 ]; then
  GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/%name.schemas > /dev/null
fi

%postun
%clean_menus
update-desktop-database %_datadir/applications > /dev/null

%clean
rm -rf %buildroot

%files -f %name.lang
%defattr(-,root,root)

%doc AUTHORS COPYING MAINTAINERS NEWS README TODO
%{_sysconfdir}/gconf/schemas/drivel.schemas
%{_bindir}/drivel
%dir %{_datadir}/drivel/
%dir %{_datadir}/drivel/glade/
%{_datadir}/drivel/glade/*.glade
%{_datadir}/pixmaps/*
%{_datadir}/icons/gnome/48x48/mimetypes/gnome-mime-application-x-drivel.png
%{_datadir}/applications/gnome-drivel.desktop
%{_datadir}/drivel/languages/livejournal.lang
%{_datadir}/mime/*
%{_datadir}/mime-info/*
%{_datadir}/application-registry/*
%{_datadir}/omf/%{name}/%{name}-C.omf
%_menudir/%name
%_liconsdir/%name.png
%_miconsdir/%name.png
%_iconsdir/%name.png

%changelog
* Sat Feb  5 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.3.1-2mdk
- fix buildrequires

* Thu Feb  3 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.3.1-1mdk
- update file list
- fix mime database handling
- New release 1.3.1

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.3-2mdk 
- Rebuild for latest howl

* Sat Dec 04 2004 Jerome Soyer <saispo@mandrake.org> 1.2.3-1mdk
- New version

* Wed Oct 27 2004 Jerome Soyer <saispo@mandrake.org> 1.2.2-1mdk
- New Version

* Fri Oct 01 2004 Jerome Soyer <saispo@mandrake.org> 1.2.1-1mdk
- new version

* Sun Aug 29 2004 Jerome Soyer <saispo@mandrake.org> 1.2.0-1mdk
- new version

* Thu Aug 26 2004 Jerome Soyer <saispo@mandrake.org> 1.1.2-2mdk
- BuildRequires

* Sat Aug 14 2004 Jerome Soyer <saispo@mandrake.org> 1.1.2-1mdk
- new version

* Sun Aug 08 2004 Jerome Soyer <jeromesoyer@yahoo.fr> 1.1.1-2mdk
- fix section and group

* Sat Aug 07 2004 Jerome Soyer <jeromesoyer@yahoo.fr> 1.1.1-1mdk
- first build
